<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <NoWarn>1701;1702;8602;8616;8618;8625;8600;8603;8714;1591;1712;8619;8625;0168;8061;8604</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <NoWarn>1701;1702;8602;8616;8618;8625;8600;8603;8714;1591;1712;8619;8625;0168;8061;8604</NoWarn>
  </PropertyGroup>
  
  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.15" />
    <PackageReference Include="PlcSiemens" Version="1.0.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.5.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.5.0" />
  </ItemGroup>
  
  <ItemGroup>
    <Folder Include="Attributes\" />
  </ItemGroup>
  
  <ItemGroup>
    <ProjectReference Include="..\WCS.Core\WCS.Core.csproj" />
    <ProjectReference Include="..\WCS.Entity\WCS.Entity.csproj" />
  </ItemGroup>

</Project>
